## hss_copyfile

### Use

Within the cluster system, you can copy database files from one instance to another. For example, you can use it for duplicating the configuration files of the master instance to all standby instances of a hot standby system after changes to the database configuration. Always use the DBM command hss_execute to do this.

However, for support purposes it is possible to copy a database file to another instance using the DBM command hss_copyfile, irrespective of whether the source instance or the target instance currently acts as the master or standby instance.

You can also copy a database file explicitly to the current master instance without having to determine which instance is currently the master instance.

See also:

Concepts of the Database System, Hot Standby

### Prerequisites

● You are connected to the cluster system.

● You have the server authorization InstallMgm.

### Syntax

hss_copyfile node=<source_component> name=<file_ID>

Options

Option | Description
<source_component> | Instance in which the file to be copied is located
<file_ID> | File ID of the file to be copied (see Concepts of the Database System, Configuration Files or Log Files)

### Reply

OK

In the event of errors, see Reply Format.

### Examples

Call the Database Manager CLI, log on with the operator OLEG and password MONDAY, connect to the database instance DEMODB on the virtual server HOTEL_VIRTUAL, copy the backup history with the file ID BACKHIST from the instance PARMA by way of the virtual server, which forwards it to the target instance GENUA:

>dbmcli -u OLEG,MONDAY -d DEMODB -n HOTEL_VIRTUAL hss_execute GENUA hss_copyfile node=PARMA name=BACKHIST

OK